# `QDoubleListDlg`

digraph inheritancefce73b2f44 { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "QDialog" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QDialog(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QWidget" -> "QDialog" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QDoubleListDlg" [URL="#taurus.qt.qtgui.panel.QDoubleListDlg",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="Generic dialog providing two lists. Items can be moved from one to the"]; "QDialog" -> "QDoubleListDlg" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QObject" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QObject(parent: QObject|None = None)"]; "wrapper" -> "QObject" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QPaintDevice()"]; "simplewrapper" -> "QPaintDevice" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QWidget" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QWidget(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QObject" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "simplewrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "wrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "simplewrapper" -> "wrapper" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class QDoubleListDlg(parent=None, designMode=False, winTitle='', mainLabel='', label1='', label2='', list1=None, list2=None)

  Generic dialog providing two lists. Items can be moved from one to the other

  Import from `taurus.qt.qtgui.panel` as:

      from taurus.qt.qtgui.panel import QDoubleListDlg

  getAll1()

    returns a copy the items in the first list

    Returns:

    Return type:

      list<str>

  getAll2()

    returns a copy the items in the second list

    Returns:

    Return type:

      list<str>

  loadUi(filename=None, path=None)
  onTo1(*args)

    slot to be called when the “To1” button is pressed

  onTo2(*args)

    slot to be called when the “To2” button is pressed

  setList1(list1)

    sets the items to be present in the first list

    Parameters:

      list2 (seq<str>) – a sequence of strings

  setList2(list2)

    sets the items to be present in the second list

    Parameters:

      list2 (seq<str>) – a sequence of strings